﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.RichTextBox.FileFormats.OpenXml.Docx;
using System.IO;
using Telerik.WinControls.RichTextBox.Model.Styles;
using Telerik.WinControls.RichTextBox.Model;

namespace _516648
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DocxFormatProvider provider = new DocxFormatProvider();
            using (FileStream stream = new FileStream(@"..\..\test.docx", FileMode.Open))
            {
                radRichTextBox1.Document = provider.Import(stream);
            }
        }

        private void radButton1_Click(object sender, EventArgs e)
        {

            radRichTextBox1.Document.CaretPosition.MoveToLastPositionInDocument();
            radRichTextBox1.Document.InsertLineBreak();
            StyleDefinition style = new StyleDefinition();
            style.SetPropertyValue(Span.FontFamilyProperty, "Comic Sans MS");
            style.SetPropertyValue(Span.FontSizeProperty, Unit.PointToDip(16));
            style.SetPropertyValue(Span.ForeColorProperty, Color.Blue);
            radRichTextBox1.Document.Insert("TEXT INSERTED AT THE END OF THE DOCUMENT", style);
        }
    }
}
